Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_hook_list_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
struct rb_event_hook_struct * | hooks
rb_event_flag_t | events
int | need_clean

## Detailed Description

Definition at line 331 of file vm_core.h.

## Field Documentation

rb_event_flag_t rb_hook_list_struct::events

Definition at line 333 of file vm_core.h.

Referenced by clean_hooks(), connect_event_hook(), and rb_threadptr_exec_event_hooks_orig().

struct rb_event_hook_struct* rb_hook_list_struct::hooks

Definition at line 332 of file vm_core.h.

Referenced by clean_hooks(), connect_event_hook(), exec_hooks(), remove_event_hook(), and vm_trace_mark_event_hooks().

int rb_hook_list_struct::need_clean

Definition at line 334 of file vm_core.h.

Referenced by clean_hooks(), exec_hooks(), and remove_event_hook().

The documentation for this struct was generated from the following file:

- vm_core.h